# $Revision: 1.19 $, $Date: 2004/04/08 21:37:52 $
Summary:	Utilities for the Linux UMSDOS filesystem
Summary(pl):	Narzdzia do linuksowego systemu plikw UMSDOS
Name:		umsdos_progs
Version:	1.32
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://linux.voyager.hr/umsdos/files/%{name}-%{version}.tgz
# Source0-md5:	46f41fd9dbc23204f95f59619d30eee7
Patch0:		%{name}-mangle.patch
Patch1:		%{name}-glibc.patch
URL:		http://linux.voyager.hr/umsdos/progs.html
# for tests
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_sbindir	/sbin

%description
umsdos_progs contains utilities for using UMSDOS filesystem, such as
umssync, udosctl and umssetup. umssync and other utilities are
required to promote directories to UNIX semantics, and to check/fix
any out-of-sync files you may create when not using Linux.

%description -l pl
Pakiet umsdos_progs zwiera narzdzia do systemu plikw UMSDOS, takie
jak umssync, udosctl i umssetup. umssync i inne narzdzia s potrzebne
do promocji katalogw do semantyki uniksowej oraz sprawdzania lub
poprawiania plikw, ktre si rozsynchronizoway podczas nie uywania
Linuksa.

%package uvfat
Summary:	Utilities for the UVFAT filesystem
Summary(pl):	Narzdzia do systemu plikw UVFAT
Group:		Applications/System

%description uvfat
umsdos_progs-uvfat contains utilities for using UVFAT filesystem, such
as uvfatsync, uvfatctl and uvfatsetup. uvfatsync and other utilities
are required to promote directories to UNIX semantics, and to
check/fix any out-of-sync files you may create when not using Linux.

%description uvfat -l pl
Pakiet umsdos_progs-uvfat zwiera narzdzia do systemu plikw UVFAT,
takie jak uvfatsync, uvfatctl i uvfatsetup. uvfatsync i inne narzdzia
s potrzebne do promocji katalogw do semantyki uniksowej oraz
sprawdzania lub poprawiania plikw, ktre si rozsynchronizoway
podczas nie uywania Linuksa.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

sed -e '/^#define BE_UVFAT/d' include/ums_config.h > h.tmp
mv -f h.tmp include/ums_config.h

%build
%{__make} \
	CFLAGS="%{rpmcflags} -I../include -DBE_UVFAT=1"
mv -f util/umssync uvfatsync
rm -f util/*.o
%{__make} \
	CFLAGS="%{rpmcflags} -I../include -DBE_UVFAT=0"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install util/umssync $RPM_BUILD_ROOT%{_sbindir}
ln -sf umssync $RPM_BUILD_ROOT%{_sbindir}/udosctl
ln -sf umssync $RPM_BUILD_ROOT%{_sbindir}/umssetup
install util/umssync.8 $RPM_BUILD_ROOT%{_mandir}/man8

install uvfatsync $RPM_BUILD_ROOT%{_sbindir}
ln -sf uvfatsync $RPM_BUILD_ROOT%{_sbindir}/uvfatctl
ln -sf uvfatsync $RPM_BUILD_ROOT%{_sbindir}/uvfatsetup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README util/TODO
%attr(755,root,root) %{_sbindir}/u[dm]*
%{_mandir}/man*/*

%files uvfat
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/uvfat*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: umsdos_progs.spec,v $
Revision 1.19  2004/04/08 21:37:52  qboosh
- sane sbindir

Revision 1.18  2004/04/08 21:36:48  qboosh
- updated mangle patch, added glibc patch - builds now

Revision 1.17  2003/05/28 13:02:29  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:27:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/01/12 01:58:09  qboosh
- 1.32, updated mangle patch
- added uvfat programs

Revision 1.14  2002/07/06 06:34:31  qboosh
- mangle patch: allow build without kernel source in /usr/src/linux
  (mangle.c was taken from Linux 2.4.18 source)

Revision 1.13  2002/07/04 23:08:22  marcus
- new version 1.14
- now it compiles not only on ix86 (ExclusiveArch removeD)
- use new %%doc

Revision 1.12  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/12/20 11:17:47  qboosh
- pl description, cosmetics; release 3

Revision 1.8  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.7  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.5  2000/11/28 19:34:03  kloczek
- make spec %%{debug} ready,
- simplifications in %install.

Revision 1.4  2000/11/28 19:15:41  zagrodzki
- s/_prefix/_exec_prefix/

Revision 1.3  2000/11/28 18:17:46  zagrodzki
- release 2
- fixed linking (/sbin/* -> %{_sbindir}/*)
- define _prefix (not prefix :> )

Revision 1.2  2000/11/20 20:57:17  zagrodzki
- exclusive arch: ix86

Revision 1.1  2000/11/20 19:19:24  zagrodzki
- initial release
